> This page is for Cash App Pay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.cash.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.cash.app/_mcp/server.

# Delete dispute evidence

DELETE https://api.cash.app/network/v1/disputes/{dispute_id}/evidence/{evidence_id}

Deletes a piece of dispute evidence by the ID of the dispute its for and its own ID.

**This endpoint is not rate limited.**

Scopes: `DISPUTES_WRITE`

Reference: https://developers.cash.app/cash-app-pay-partner-api/api-reference/network-api/delete-dispute-evidence

## Servers

- `https://api.cash.app/network/v1` (Production, default)
- `https://sandbox.api.cash.app/network/v1` (Sandbox)

## Request

### Path parameters

- `dispute_id` (string, required) — ID of the dispute the evidence is associated with.
- `evidence_id` (string, required) — ID of the piece of dispute evidence.

## Errors

### 404 Delete Dispute Evidence Request Not Found Error

Not Found

- `errors` (list of Error, required) — A list of errors that occurred while processing the request. Min number of items: `1`

## Types

### Error

Represents an error encountered during a request to the API.

- `category` (enum, required) — The high-level reason the error occurred.
  - Allowed values: `API_ERROR`, `AUTHENTICATION_ERROR`, `BRAND_ERROR`, `DISPUTE_ERROR`, `MERCHANT_ERROR`, `INVALID_REQUEST_ERROR`, `PAYMENT_PROCESSING_ERROR`, `RATE_LIMIT_ERROR`, `WEBHOOK_ERROR`, `API_KEY_ERROR`, `GRANT_ERROR`
- `code` (string, required) — A unique identifier for the specific type of error that occurred. For more information, see [Error Code Reference](/cash-app-pay-partner-api/guides/technical-guides/api-fundamentals/errors/error-code-reference). Min length: `1`
- `detail` (string, optional) — Human-readable description of why the error occurred and how to resolve it. Min length: `1`
- `field` (string, optional) — The field in the request that caused the error, using array and object dot notation. Min length: `1`

## Examples

**SDK Code**

```python
import requests

url = "https://api.cash.app/network/v1/disputes/DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg/evidence/EVD_dbdda8e161b7bad8519f7f73"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://api.cash.app/network/v1/disputes/DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg/evidence/EVD_dbdda8e161b7bad8519f7f73';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cash.app/network/v1/disputes/DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg/evidence/EVD_dbdda8e161b7bad8519f7f73"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cash.app/network/v1/disputes/DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg/evidence/EVD_dbdda8e161b7bad8519f7f73")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.cash.app/network/v1/disputes/DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg/evidence/EVD_dbdda8e161b7bad8519f7f73")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.cash.app/network/v1/disputes/DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg/evidence/EVD_dbdda8e161b7bad8519f7f73');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cash.app/network/v1/disputes/DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg/evidence/EVD_dbdda8e161b7bad8519f7f73");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cash.app/network/v1/disputes/DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg/evidence/EVD_dbdda8e161b7bad8519f7f73")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```